any_view.hpp File Reference

## Classes

struct | ranges::any_view< Ref, Cat, enable >
| A type-erased view. More...
struct | ranges::any_view< Ref, Cat, meta::if_c<(Cat &category::forward)==category::input > >

## Typedefs

template<typename Ref >
using | ranges::any_bidirectional_view = any_view< Ref, category::bidirectional >
template<typename Ref >
using | ranges::any_forward_view = any_view< Ref, category::forward >
template<typename Ref >
using | ranges::any_input_view = any_view< Ref, category::input >
template<typename Ref >
using | ranges::any_random_access_view = any_view< Ref, category::random_access >

## Enumerations

enum class | ranges::category { none = 0 , input = 1 , forward = 3 , bidirectional = 7 , random_access = 15 , mask = random_access , sized = 16 }
| An enum that denotes the supported subset of range concepts supported by a range. More...

## Enumeration Type Documentation

## category

enum ranges::category

strong

An enum that denotes the supported subset of range concepts supported by a range.

Enumerator
none | No concepts met.
input | satisfies ranges::concepts::input_range
forward | satisfies ranges::concepts::forward_range
bidirectional | satisfies ranges::concepts::bidirectional_range
random_access | satisfies ranges::concepts::random_access_range
mask | Mask away any properties other than iterator category.
sized | satisfies ranges::concepts::sized_range